Subject: Ticket Assigned - Delivery
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Fri, 02 Dec 2022 18:13:56 +0000

Hi Mohammad Tawfik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery I am waiting for my order for two days and customer service has no proper answer. Every time I contact they ask me to be patient and wait. First time I ordered courier didn't contacted me and rejected my delivery without confirmation. Now my order 9403612399 for store pickup is pending for two days now. I can't wait no more I need my order and proper reply!!!!!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5395914